﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using UnityEngine.SceneManagement;

public class EndingLogic : MonoBehaviour {

	public Text ScoreText;
	public Text MoneyText;
	private ScoreManager scoreManager;

	// Use this for initialization
	void Start () {
		scoreManager = GameObject.Find("ScoreManager").GetComponent<ScoreManager>();
		SoundManager.instance.StopMusic();
	}
	
	// Update is called once per frame
	void Update () {

		if(scoreManager)
		{
			ScoreText.text = ((int) scoreManager.GetScore()).ToString() + " seconds";
			MoneyText.text = "$" + ((int) scoreManager.GetMoney()).ToString();
		}
	}

	public void Back()
	{
		SceneManager.LoadScene("Initial");
	}
}
